#include "dvdburner.h"
#include "project.h"
#include "tools.h"
#include "main.h"
#include "config.h"
#include "winutils/winutils.h"

DVDBurner::DVDBurner(ProjectPtr project) : Thread()
{
	m_Project = project;
}

DVDBurner::~DVDBurner()
{
}

String DVDBurner::GetDescription() const
{
	return S("Burning DVD");
}

bool DVDBurner::OnRun()
{
	bool ok = true;
	
	String imgBurnCommand = S("/MODE ISOWRITE /SRC ")
		+ String(m_Project->GetOutputDirectory() + S("\\") + m_Project->GetOutputDirectory().toFileName() + S(".iso")).enclose()
		+ S(" /START /CLOSESUCCESS");

	ok = ok && ExecuteCommand(g_Config->GetImgBurn().c_str(), imgBurnCommand.c_str(), 
		NULL, NULL, NULL, isCancelled, waitingForUser);

	if (ok) DeleteFilesNow();
	return ok;
}

