#ifndef MULTIPLEXER_H_
#define MULTIPLEXER_H_

#include "thread.h"
#include "project.h"

class Multiplexer : public Thread
{
public:
	Multiplexer(ProjectPtr project, int groupIndex, int titleIndex);
	virtual ~Multiplexer();
	String GetDescription() const;
protected:
	bool OnRun();
	ProjectPtr m_Project;
	int m_GroupIndex;
	int m_TitleIndex;
public:
	static bool IsFakeError(const String & logFileName);
};

#endif // MULTIPLEXER_H_
