#include "thread.h"

Thread::Thread() : ManagablePtr()
{
	isCancelled = NULL;
	waitingForUser = NULL;
}

Thread::~Thread()
{
}

bool Thread::Run(LPBOOL isCancelled, LPBOOL waitingForUser)
{
	this->isCancelled    = isCancelled;
	this->waitingForUser = waitingForUser;
	return OnRun();
}

void Thread::AddFileToDelete(const String & fileName)
{
	m_FilesToDelete.push_back(fileName);
}

void Thread::DeleteFilesNow()
{
#ifndef VSTUDIO_BUILD
	for (StringVector::iterator f2d = m_FilesToDelete.begin(); f2d != m_FilesToDelete.end(); f2d++) {
		DeleteFile((*f2d).c_str());
	}
	m_FilesToDelete.clear();
#endif
}
