#ifndef MANAGABLEPTR_H_
#define MANAGABLEPTR_H_

class ManagablePtr
{
private:
	int m_RefCount;

public:
	ManagablePtr() 
	{
		m_RefCount = 0;
	};
	
	virtual ~ManagablePtr()
	{
	};
	
	void AddRef()
	{
		++m_RefCount;
	};
	
	void DelRef()
	{
		if (--m_RefCount <= 0) delete this;
	};
};

#endif // MANAGABLEPTR_H_
