#ifndef VIDEOENCODER_H_
#define VIDEOENCODER_H_

#include "thread.h"
#include "project.h"

class VideoEncoder : public Thread
{
public:
	VideoEncoder(ProjectPtr project, int groupIndex, int titleIndex);
	virtual ~VideoEncoder();
	String GetDescription() const;
protected:
	bool OnRun();
	ProjectPtr m_Project;
	int m_GroupIndex;
	int m_TitleIndex;
};

#endif // VIDEOENCODER_H_
